Page MenuHomePhabricator

"Edit" pencil is not shown for all sections/sub-sections of an article
Closed, ResolvedPublic

Description

The app doesn't seem to be showing the edit pencil for every section/sub-section of an article. To be exact, it seems to be showing the edit pencil only for sections of alternative levels of depth.

This makes it hard for a user to edit big articles as he is not able to edit every section/sub-section of an article.

Steps to reproduce

  1. Go to "Scrum (software development)"
  2. Scroll down to the "Roles" -> "Product Owner" subsection.

Expected results
User is able to edit every section/sub-section of an article (i.e.) the edit pencil is shown for every section/sub-section of an article.

Actual results
The edit pencil is shown only for section-level headings, and not for subsections.

Screen shot

Environments observed
Device Vendor : Samsung
Model : GT-S7582
Android : Cyanogenmod 11 (4.4.4-Kitkat)

Event Timeline

Kaartic created this task.Feb 21 2017, 4:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2017, 4:36 PM

Change 338992 had a related patch set uploaded (by dbrant):
[mediawiki/extensions/MobileApp] Show edit pencil for all sections.

https://gerrit.wikimedia.org/r/338992

Change 338992 merged by jenkins-bot:
[mediawiki/extensions/MobileApp] Show edit pencil for all sections.

https://gerrit.wikimedia.org/r/338992

Change 342159 had a related patch set uploaded (by Mholloway):
[apps/android/wikipedia] Update CSS assets (updates edit pencil styles)

https://gerrit.wikimedia.org/r/342159

Change 342159 merged by jenkins-bot:
[apps/android/wikipedia] Update CSS assets (updates edit pencil styles)

https://gerrit.wikimedia.org/r/342159

Dbrant claimed this task.Mar 16 2017, 12:47 PM
Dbrant updated the task description. (Show Details)
Dbrant moved this task from To Do to QA Signoff on the Android-app-release-v2.5.19x-Ananas🍍 board.

Testing on Samsung Galaxy Express 3 (J120A) with Android 6.0.1 and Wikipedia Alpha app 2.5.190-alpha-2017-03-21.
This is fixed as according to the below screencap the edit pencil is shown in subsections again (such as "Extensions" in the "Scrum (software development)" article)

ABorbaWMF added a subscriber: ABorbaWMF.

Tested on a Pixel with Android 7.1.1 and the Alpha App 2.5.190-alpha-2017-03-23

Appears to be fixed

Dbrant closed this task as Resolved.Mar 29 2017, 4:06 PM